Starmade | Rail-orientation/type get copied on FALSE signals too
Closed, FinishedPublic

Description

Example 1:

  1. Have 2 activators linked to 1 AND-signal.
  2. Put a rail block next to the AND-signal and link the AND-signal to other rail blocks
  3. Both activators are on false, put 1 activator on true

You'll notice that the orientation of that rail next to the AND block has been set to its linked rails, the AND-signal however never turned "true".

Example 2:

Orientations/types should only bet set on a true signal, not on both.
The same applies for undocking something, any signal does that, only true should.

Details

Commits
Restricted Diffusion Commit
Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.199.625
Category
Logic Gates
First occurrence (version)
0.19221 (Dev)
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Tester information (Internal use only)

Extra info provided by xarses:

  • NOT changes a high to low state change
  • flip flop changes on low to high and high to low
  • AND gates trigger on low to high
  • OR gates trigger on low to high
  • Activation modules trigger on low to high
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Jun 5 2015, 12:41 PM
lancake added a project: Issue Navigation.
lancake changed Category from none/unspecified to Logic Gates.
lancake changed Affected Gamemode(s) from none/unspecified to Single and Multi.
lancake set First occurrence (version) to 0.19221 (Dev).
lancake changed Reproducible from uncertain to Yes.
lancake set Last tested (version) to 0.19247 (Dev).
lancake edited a custom field.
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake added a subscriber: lancake.
lancake changed the task status from "Open" to "In Queue (Game)".Jun 5 2015, 4:30 PM
Restricted Application edited projects, added Game Development, Starmade; removed Issue Navigation. · View Herald TranscriptJun 5 2015, 4:30 PM
lancake edited the task description. (Show Details)Jun 6 2015, 9:48 AM
lancake set Task Type to Bug.
lancake set OS-Specific to No.
lancake set Hardware-Specific to No.
lancake set Video Card Vendor to uncertain.
lancake lowered the priority of this task from "High" to "Normal".
schema changed the task status from "In Queue (Game)" to "Resolved" by committing Restricted Diffusion Commit.Jun 10 2015, 4:20 PM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptJun 10 2015, 4:20 PM
lancake changed the task status from "Resolved" to "In Queue (Game)".EditedJun 12 2015, 7:08 PM

Example 1 works, example 2 doesn't work. the rotation set by the NOT overrides the one set by the activator even though the NOT is on false and the activator is on true. Flip flops have the same issue as example 2.

Restricted Application edited projects, added Game Development; removed Quality Assurance. · View Herald TranscriptJun 12 2015, 7:08 PM
AndyP shifted this object from the S1 Public space to the S3 Starmade space.Aug 11 2015, 8:56 PM
AndyP changed the edit policy from "Starmade (Project)" to "All Users".

logic inconsitency also with not signals too activating their corresponding rail on the high to low flank.

example two buttons (each side of a door) into flipflop flipflop into not rails for the lower part of the door next to flipflop and not. -lower part of door for some reason works. as intended not on high sets it's rail direction correctly

from the not into another not (state of the flipflop) and a third not and taking the last two nots as rail setters for the upper part of the door and you need to reverse them for it seems they are setting their rails with the off state.

lancake claimed this task.Sep 21 2015, 10:48 AM
Asypha added a comment.Feb 9 2016, 5:02 AM

Just anted to make sure the link from T1130 was not lost. Imgur gallery illustrating the issue for NOT Gates and Flip Flops being used directly to affect rail changes: 4 states

xarses added a subscriber: xarses.Mar 16 2016, 5:59 PM

Current State in: v0.19590
NOT changes a high to low state change
flip flop changes on low to high and high to low
AND gates trigger on low to high
OR gates trigger on low to high
Activation modules trigger on low to high

lancake edited Tester information (Internal use only). (Show Details)
lancake added a subscriber: khm.
AndyP changed the task status from "In Queue (Game)" to "In Queue".Mar 10 2017, 5:23 PM
Restricted Application added a project: Logic. · View Herald TranscriptMar 10 2017, 5:23 PM
AndyP moved this task from Backlog / Unclassed to Alpha on the Logic board.Mar 15 2017, 2:26 PM

Behavior has changed, the NOT gate no longer changes rail orientation on any state change.

Hm thanks, adding a blocking task to this one then.

schema changed the status of subtask T2403: Directional Rail Logic from "In Queue" to "Resolved".Jun 27 2017, 2:21 PM
lancake changed the task status from "In Queue" to "Resolved".Jun 29 2017, 5:27 PM
lancake changed Last tested (version) from 0.19247 (Dev) to 0.199.625.
Restricted Application added a project: Quality Assurance. · View Herald TranscriptJun 29 2017, 5:27 PM

-QA Testing-

Both examples work just fine now.

lancake closed this task as "Closed".
Restricted Application removed a project: Quality Assurance. · View Herald TranscriptJul 7 2017, 12:34 PM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript